# Handle owners

You can easily **get/add/remove** all the owners of your smart wallet.

The [**getEnrichedOwners**](#get-owners) method allows you to get more infos regarding your passkey owners (device information, creationDate...).

## Add owners

{% tabs %}
{% tab title="TS" %}

<pre class="language-typescript"><code class="lang-typescript">const smartAccountClient = createSmartAccountClient({
    account: smartAccount,
    chain: arbitrumSepolia,
    bundlerTransport: http(bundlerUrl),
    paymaster: paymasterClient,
    userOperation: {
        estimateFeesPerGas: async () => {
            return await paymasterClient.getUserOperationGasPrice();
        },
    }
})

<strong>const txHash = await smartAccountClient.addOwner({ownerToAdd: ADDRESS_TO_ADD});
</strong>
</code></pre>

{% endtab %}
{% endtabs %}

## Remove owners

{% tabs %}
{% tab title="TS" %}

```typescript
const smartAccountClient = createSmartAccountClient({
    account: smartAccount,
    chain: arbitrumSepolia,
    bundlerTransport: http(bundlerUrl),
    paymaster: paymasterClient,
    userOperation: {
        estimateFeesPerGas: async () => {
            return await paymasterClient.getUserOperationGasPrice();
        },
    }
})


const txHash = await smartAccountClient.removeOwner({ownerToRemove: ADDRESS_TO_REMOVE});
```

{% endtab %}
{% endtabs %}

## Get owners

{% tabs %}
{% tab title="TS" %}

```typescript
const smartAccountClient = createSmartAccountClient({
    account: smartAccount,
    chain: arbitrumSepolia,
    bundlerTransport: http(bundlerUrl),
    paymaster: paymasterClient,
    userOperation: {
        estimateFeesPerGas: async () => {
            return await paymasterClient.getUserOperationGasPrice();
        },
    }
})

// get all owners
const owners = smartAccountClient.getOwners()

// get owners with passkey details (creation date, device data...)
const owners = smartAccountClient.getEnrichedOwners()
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cometh.io/core-features/handle-owners.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
